Spectrum API
============

.. autoclass:: soxs.spectra.Spectrum
    :members:

.. autoclass:: soxs.spectra.CountRateSpectrum
    :members: generate_energies, rescale_flux, new_spec_from_band

.. autoclass:: soxs.spectra.ConvolvedSpectrum
    :members: deconvolve, generate_energies, rescale_flux, new_spec_from_band
